export var ControlState;
(function (ControlState) {
    ControlState[ControlState["Normal"] = 1] = "Normal";
    ControlState[ControlState["Highlighted"] = 2] = "Highlighted";
    ControlState[ControlState["Selected"] = 3] = "Selected";
    ControlState[ControlState["Disabled"] = 4] = "Disabled";
})(ControlState || (ControlState = {}));
export var ControlEvents;
(function (ControlEvents) {
    ControlEvents[ControlEvents["TouchDown"] = 0] = "TouchDown";
    ControlEvents[ControlEvents["TouchDownRepeat"] = 1] = "TouchDownRepeat";
    ControlEvents[ControlEvents["TouchDragInside"] = 2] = "TouchDragInside";
    ControlEvents[ControlEvents["TouchDragOutside"] = 3] = "TouchDragOutside";
    ControlEvents[ControlEvents["TouchDragEnter"] = 4] = "TouchDragEnter";
    ControlEvents[ControlEvents["TouchDragExit"] = 5] = "TouchDragExit";
    ControlEvents[ControlEvents["TouchUpInside"] = 6] = "TouchUpInside";
    ControlEvents[ControlEvents["TouchUpOutside"] = 7] = "TouchUpOutside";
    ControlEvents[ControlEvents["TouchCancel"] = 8] = "TouchCancel";
    ControlEvents[ControlEvents["ValueChanged"] = 9] = "ValueChanged";
})(ControlEvents || (ControlEvents = {}));
export var GestureRecognizerState;
(function (GestureRecognizerState) {
    GestureRecognizerState[GestureRecognizerState["Possible"] = 0] = "Possible";
    GestureRecognizerState[GestureRecognizerState["Began"] = 1] = "Began";
    GestureRecognizerState[GestureRecognizerState["Changed"] = 2] = "Changed";
    GestureRecognizerState[GestureRecognizerState["Ended"] = 3] = "Ended";
    GestureRecognizerState[GestureRecognizerState["Cancelled"] = 4] = "Cancelled";
    GestureRecognizerState[GestureRecognizerState["Failed"] = 5] = "Failed";
})(GestureRecognizerState || (GestureRecognizerState = {}));
export var TextAlignment;
(function (TextAlignment) {
    TextAlignment[TextAlignment["Left"] = 0] = "Left";
    TextAlignment[TextAlignment["Center"] = 1] = "Center";
    TextAlignment[TextAlignment["Right"] = 2] = "Right";
})(TextAlignment || (TextAlignment = {}));
export var ImageRenderingMode;
(function (ImageRenderingMode) {
    ImageRenderingMode[ImageRenderingMode["Original"] = 0] = "Original";
    ImageRenderingMode[ImageRenderingMode["Template"] = 1] = "Template";
})(ImageRenderingMode || (ImageRenderingMode = {}));
export var ImageViewContentMode;
(function (ImageViewContentMode) {
    ImageViewContentMode[ImageViewContentMode["ScaleToFill"] = 0] = "ScaleToFill";
    ImageViewContentMode[ImageViewContentMode["AspectFit"] = 1] = "AspectFit";
    ImageViewContentMode[ImageViewContentMode["AspectFill"] = 2] = "AspectFill";
})(ImageViewContentMode || (ImageViewContentMode = {}));
export var ActivityIndicatorViewStyle;
(function (ActivityIndicatorViewStyle) {
    ActivityIndicatorViewStyle[ActivityIndicatorViewStyle["Default"] = 0] = "Default";
    ActivityIndicatorViewStyle[ActivityIndicatorViewStyle["Large"] = 1] = "Large";
})(ActivityIndicatorViewStyle || (ActivityIndicatorViewStyle = {}));
export var TextFieldBorderStyle;
(function (TextFieldBorderStyle) {
    TextFieldBorderStyle[TextFieldBorderStyle["None"] = 0] = "None";
    TextFieldBorderStyle[TextFieldBorderStyle["Line"] = 1] = "Line";
    TextFieldBorderStyle[TextFieldBorderStyle["Bezel"] = 2] = "Bezel";
    TextFieldBorderStyle[TextFieldBorderStyle["RoundedRect"] = 3] = "RoundedRect";
})(TextFieldBorderStyle || (TextFieldBorderStyle = {}));
export var TextFieldViewMode;
(function (TextFieldViewMode) {
    TextFieldViewMode[TextFieldViewMode["Never"] = 0] = "Never";
    TextFieldViewMode[TextFieldViewMode["WhileEditing"] = 1] = "WhileEditing";
    TextFieldViewMode[TextFieldViewMode["UnlessEditing"] = 2] = "UnlessEditing";
    TextFieldViewMode[TextFieldViewMode["Always"] = 3] = "Always";
})(TextFieldViewMode || (TextFieldViewMode = {}));
export var KeyboardType;
(function (KeyboardType) {
    KeyboardType[KeyboardType["Default"] = 0] = "Default";
    KeyboardType[KeyboardType["NumberPad"] = 1] = "NumberPad";
    KeyboardType[KeyboardType["EmailAddress"] = 2] = "EmailAddress";
})(KeyboardType || (KeyboardType = {}));
export var ReturnKeyType;
(function (ReturnKeyType) {
    ReturnKeyType[ReturnKeyType["Default"] = 0] = "Default";
    ReturnKeyType[ReturnKeyType["Go"] = 1] = "Go";
    ReturnKeyType[ReturnKeyType["Next"] = 2] = "Next";
    ReturnKeyType[ReturnKeyType["Search"] = 3] = "Search";
    ReturnKeyType[ReturnKeyType["Send"] = 4] = "Send";
    ReturnKeyType[ReturnKeyType["Done"] = 5] = "Done";
})(ReturnKeyType || (ReturnKeyType = {}));
export var ScrollDirection;
(function (ScrollDirection) {
    ScrollDirection[ScrollDirection["Horizontal"] = 2] = "Horizontal";
    ScrollDirection[ScrollDirection["Vertical"] = 4] = "Vertical";
    ScrollDirection[ScrollDirection["AllDirection"] = 6] = "AllDirection";
})(ScrollDirection || (ScrollDirection = {}));
export var ScrollViewKeyboardDismissMode;
(function (ScrollViewKeyboardDismissMode) {
    ScrollViewKeyboardDismissMode[ScrollViewKeyboardDismissMode["None"] = 0] = "None";
    ScrollViewKeyboardDismissMode[ScrollViewKeyboardDismissMode["OnDrag"] = 1] = "OnDrag";
    ScrollViewKeyboardDismissMode[ScrollViewKeyboardDismissMode["OnPress"] = 2] = "OnPress";
})(ScrollViewKeyboardDismissMode || (ScrollViewKeyboardDismissMode = {}));
export var TableViewStyle;
(function (TableViewStyle) {
    TableViewStyle[TableViewStyle["Plain"] = 0] = "Plain";
    TableViewStyle[TableViewStyle["Grouped"] = 1] = "Grouped";
})(TableViewStyle || (TableViewStyle = {}));
export var TableViewCellAccessoryType;
(function (TableViewCellAccessoryType) {
    TableViewCellAccessoryType[TableViewCellAccessoryType["None"] = 0] = "None";
    TableViewCellAccessoryType[TableViewCellAccessoryType["DisclosureIndicator"] = 1] = "DisclosureIndicator";
    TableViewCellAccessoryType[TableViewCellAccessoryType["Checkmark"] = 2] = "Checkmark";
})(TableViewCellAccessoryType || (TableViewCellAccessoryType = {}));
export var SwipeGestureRecognizerDirection;
(function (SwipeGestureRecognizerDirection) {
    SwipeGestureRecognizerDirection[SwipeGestureRecognizerDirection["Right"] = 1] = "Right";
    SwipeGestureRecognizerDirection[SwipeGestureRecognizerDirection["Left"] = 2] = "Left";
    SwipeGestureRecognizerDirection[SwipeGestureRecognizerDirection["Up"] = 4] = "Up";
    SwipeGestureRecognizerDirection[SwipeGestureRecognizerDirection["Down"] = 8] = "Down";
})(SwipeGestureRecognizerDirection || (SwipeGestureRecognizerDirection = {}));
